#
# Makefile for building 32bit Windows program
#

CC = gcc
CFLAGS = # -O2
RC = RC.EXE
WINLIB = /rsxwin/lib/libwin.a

# program name
PRG = sol

# rsxwin extender for 32bit windows prgs (without recources!)
RSXRC = C:\RSXWIN\RSXW32.EXE

.c.o:
	$(CC) $(CFLAGS) -c $<

.o.w32:
	$(CC) -o $(PRG).w32 $<

all : $(PRG).exe $(PRG).w32
	@echo Make Ready!

#
# We create two files :
#   PRG.exe - rsxrc file with resources
#   PRG.w32 - the EMX/GCC output
#

OBJS = sol.o

$(PRG).exe: $(PRG).res $(RSXRC)
	copy /B $(RSXRC) $(PRG).exe
	$(RC) -t $(PRG).res $(PRG).exe

$(PRG).res: $(PRG).rc
	$(RC) -r $(PRG).rc

$(PRG).w32: $(OBJS) $(WINLIB)
        $(CC) -o $(PRG).w32 $(OBJS) $(WINLIB)
