struct {
    char * name;
    int size;
} data_types[] = {
"void"                , 0 ,
"VOID"                , 0 ,
"int"                 ,sizeof(int    ),
"char"                ,sizeof(short  ),
"long"                ,sizeof(long   ),
"LONG"                ,sizeof(long   ),
"short"               ,sizeof(short  ),
"BOOL"                ,sizeof(BOOL   ),
"BYTE"                ,sizeof(BYTE   ),
"ATOM"                ,sizeof(ATOM   ),
"WORD"                ,sizeof(WORD   ),
"DWORD"               ,sizeof(DWORD  ),
"PSTR"                ,sizeof(PSTR   ),
"NPSTR"               ,sizeof(NPSTR  ),
"LPSTR"               ,sizeof(LPSTR  ),
"PBYTE"               ,sizeof(PBYTE  ),
"LPBYTE"              ,sizeof(LPBYTE ),
"PINT"                ,sizeof(PINT   ),
"LPINT"               ,sizeof(LPINT  ),
"PWORD"               ,sizeof(PWORD  ),
"LPWORD"              ,sizeof(LPWORD ),
"PLONG"               ,sizeof(PLONG  ),
"LPLONG"              ,sizeof(LPLONG ),
"PDWORD"              ,sizeof(PDWORD ),
"LPDWORD"             ,sizeof(LPDWORD),
"LPVOID"              ,sizeof(LPVOID ),
"HANDLE"              ,sizeof(HANDLE ),
"HWND"                ,sizeof(HWND   ),
"PHANDLE"             ,sizeof(PHANDLE),
"SPHANDLE"            ,sizeof(SPHANDLE     ),
"LPHANDLE"            ,sizeof(LPHANDLE     ),
"GLOBALHANDLE"        ,sizeof(GLOBALHANDLE ),
"LOCALHANDLE"         ,sizeof(LOCALHANDLE  ),
"FARPROC"             ,sizeof(FARPROC  ),
"NEARPROC"            ,sizeof(NEARPROC ),
"HSTR"                ,sizeof(HSTR     ),
"HICON"               ,sizeof(HICON    ),
"HDC"                 ,sizeof(HDC      ),
"HMENU"               ,sizeof(HMENU    ),
"HPEN"                ,sizeof(HPEN     ),
"HFONT"               ,sizeof(HFONT    ),
"HBRUSH"              ,sizeof(HBRUSH   ),
"HBITMAP"             ,sizeof(HBITMAP  ),
"HCURSOR"             ,sizeof(HCURSOR  ),
"HRGN"                ,sizeof(HRGN     ),
"HPALETTE"            ,sizeof(HPALETTE ),
"COLORREF"            ,sizeof(COLORREF ),
"POINT"               ,sizeof(POINT    ),
"PPOINT"              ,sizeof(PPOINT   ),
"NPPOINT"             ,sizeof(NPPOINT  ),
"LPPOINT"             ,sizeof(LPPOINT  ),
"POFSTRUCT"           ,sizeof(POFSTRUCT),
"NPOFSTRUCT"          ,sizeof(NPOFSTRUCT ),
"LPOFSTRUCT"          ,sizeof(LPOFSTRUCT ),
"PBITMAP"             ,sizeof(PBITMAP    ),
"NPBITMAP"            ,sizeof(NPBITMAP   ),
"LPBITMAP"            ,sizeof(LPBITMAP   ),
"LPBITMAPCOREHEADER"  ,sizeof(LPBITMAPCOREHEADER),
"PBITMAPCOREHEADER"   ,sizeof(PBITMAPCOREHEADER ),
"LPBITMAPINFOHEADER"  ,sizeof(LPBITMAPINFOHEADER),
"PBITMAPINFOHEADER"   ,sizeof(PBITMAPINFOHEADER ),
"LPBITMAPINFO"        ,sizeof(LPBITMAPINFO      ),
"PBITMAPINFO"         ,sizeof(PBITMAPINFO       ),
"LPBITMAPCOREINFO"    ,sizeof(LPBITMAPCOREINFO  ),
"PBITMAPCOREINFO"     ,sizeof(PBITMAPCOREINFO   ),
"LPBITMAPFILEHEADER"  ,sizeof(LPBITMAPFILEHEADER),
"PBITMAPFILEHEADER"   ,sizeof(PBITMAPFILEHEADER ),
"PHANDLETABLE"        ,sizeof(PHANDLETABLE      ),
"LPHANDLETABLE"       ,sizeof(LPHANDLETABLE     ),
"PMETARECORD"         ,sizeof(PMETARECORD       ),
"LPMETARECORD"        ,sizeof(LPMETARECORD      ),
"LPMETAFILEPICT"      ,sizeof(LPMETAFILEPICT    ),
"PTEXTMETRIC"         ,sizeof(PTEXTMETRIC       ),
"NPTEXTMETRIC"        ,sizeof(NPTEXTMETRIC      ),
"LPTEXTMETRIC"        ,sizeof(LPTEXTMETRIC      ),
"PPELARRAY"           ,sizeof(PPELARRAY         ),
"NPPELARRAY"          ,sizeof(NPPELARRAY        ),
"LPPELARRAY"          ,sizeof(LPPELARRAY        ),
"PLOGBRUSH"           ,sizeof(PLOGBRUSH         ),
"NPLOGBRUSH"          ,sizeof(NPLOGBRUSH        ),
"LPLOGBRUSH"          ,sizeof(LPLOGBRUSH        ),
"PATTERN"             ,sizeof(PATTERN           ),
"PPATTERN"            ,sizeof(PPATTERN          ),
"NPPATTERN"           ,sizeof(NPPATTERN         ),
"LPPATTERN"           ,sizeof(LPPATTERN         ),
"PLOGPEN"             ,sizeof(PLOGPEN           ),
"NPLOGPEN"            ,sizeof(NPLOGPEN          ),
"LPLOGPEN"            ,sizeof(LPLOGPEN          ),
"LPPALETTEENTRY"      ,sizeof(LPPALETTEENTRY    ),
"PLOGPALETTE"         ,sizeof(PLOGPALETTE       ),
"NPLOGPALETTE"        ,sizeof(NPLOGPALETTE      ),
"LPLOGPALETTE"        ,sizeof(LPLOGPALETTE      ),
"PLOGFONT"            ,sizeof(PLOGFONT          ),
"NPLOGFONT"           ,sizeof(NPLOGFONT         ),
"LPLOGFONT"           ,sizeof(LPLOGFONT         ),
"PEVENTMSGMSG"        ,sizeof(PEVENTMSGMSG      ),
"NPEVENTMSGMSG"       ,sizeof(NPEVENTMSGMSG     ),
"LPEVENTMSGMSG"       ,sizeof(LPEVENTMSGMSG     ),
"PWNDCLASS"           ,sizeof(PWNDCLASS         ),
"NPWNDCLASS"          ,sizeof(NPWNDCLASS        ),
"LPWNDCLASS"          ,sizeof(LPWNDCLASS        ),
"PMSG"                ,sizeof(PMSG              ),
"NPMSG"               ,sizeof(NPMSG             ),
"LPMSG"               ,sizeof(LPMSG             ),
"PPAINTSTRUCT"        ,sizeof(PPAINTSTRUCT      ),
"NPPAINTSTRUCT"       ,sizeof(NPPAINTSTRUCT     ),
"LPPAINTSTRUCT"       ,sizeof(LPPAINTSTRUCT     ),
"LPCREATESTRUCT"      ,sizeof(LPCREATESTRUCT    ),
"PMEASUREITEMSTRUCT"  ,sizeof(PMEASUREITEMSTRUCT),
"LPMEASUREITEMSTRUCT" ,sizeof(LPMEASUREITEMSTRUCT),
"PDRAWITEMSTRUCT"     ,sizeof(PDRAWITEMSTRUCT    ),
"LPDRAWITEMSTRUCT"    ,sizeof(LPDRAWITEMSTRUCT   ),
"PDELETEITEMSTRUCT"   ,sizeof(PDELETEITEMSTRUCT  ),
"LPDELETEITEMSTRUCT"  ,sizeof(LPDELETEITEMSTRUCT ),
"PCOMPAREITEMSTRUCT"  ,sizeof(PCOMPAREITEMSTRUCT ),
"LPCOMPAREITEMSTRUCT" ,sizeof(LPCOMPAREITEMSTRUCT),
"LPKANJISTRUCT"       ,sizeof(LPKANJISTRUCT),
"LPCATCHBUF"          ,sizeof(LPCATCHBUF),
"LPRECT"              ,sizeof(LPRECT),
"LOGPEN"              ,sizeof(LOGPEN),
"PLOGPEN"             ,sizeof(PLOGPEN),
"NPLOGPEN"            ,sizeof(NPLOGPEN),
"LPLOGPEN"            ,sizeof(LPLOGPEN),
"BITMAP FAR *"        ,sizeof(BITMAP FAR * ),
"BOOL FAR *"          ,sizeof(BOOL FAR * ),
"BYTE FAR *"          ,sizeof(BYTE FAR * ),
"COMSTAT FAR *"       ,sizeof(COMSTAT FAR * ),
"DCB FAR *"           ,sizeof(DCB FAR * ),
"FARPROC FAR *"       ,sizeof(FARPROC FAR * ),
"LOGBRUSH FAR *"      ,sizeof(LOGBRUSH FAR * ),
"LOGPEN FAR *"        ,sizeof(LOGPEN FAR * ),
"LOGFONT FAR *"       ,sizeof(LOGFONT FAR * ),
"LONG FAR *"          ,sizeof(LONG FAR * ),
"WORD FAR *"          ,sizeof(WORD FAR * ),
NULL , 9
} ;

