	.text

//
// EAX =  31-fnct-16 , 0x7E , 7-count-0
// EDX =  offset modulname  or 1,2,3
// ECX =  paramlist
//
// ULONG _wincall(ULONG fnct, ULONG module, ULONG param, char count)
//

        .align 2, 0x90
	.globl __wincall
__wincall:
	pushl	%ebp
	movl	%esp,%ebp
	movl	8(%ebp), %eax
	movl	12(%ebp), %edx
	movl	16(%ebp), %ecx
	shll	$16, %eax
	movb	20(%ebp), %al
	movb	$0x7E, %ah
	pushl	%esi
	pushl	%edi
	pushl	%ebx
	pushl	%ebp
	call	___syscall
	popl	%ebp
	popl	%ebx
	popl	%edi
	popl	%esi
	leave
	ret


//
//  call WinProc in EAX ; return to Extender
//
	.align 2, 0x90
	.globl _wnd_dlg_proc32
_wnd_dlg_proc32:
	call	%eax
	addl	$16, %esp
	lret

//
//  call WinProc in EAX ; return to Extender
//
	.align 2, 0x90
	.globl _callb32_argc5
_callb32_argc5:
	call	%eax
	addl	$5*4, %esp
	lret

	.align 2, 0x90
	.globl _callb32_argc4
_callb32_argc4:
	call	%eax
	addl	$4*4, %esp
	lret

	.align 2, 0x90
	.globl _callb32_argc3
_callb32_argc3:
	call	%eax
	addl	$3*4, %esp
	lret

	.align 2, 0x90
	.globl _callb32_argc2
_callb32_argc2:
	call	%eax
	addl	$2*4, %esp
	lret


//
//  call DPMI interrupt
//

        .align  2, 0x90
	.globl _dpmi31
_dpmi31:
	pushl	%ebp
	pushl	$0xc3c331cd
	movl	%esp, %ebp
	call	%ebp
	addl	$4, %esp
	pop	%ebp
        ret

//
//	Move data from 16:16 to user program offset
//	void _memcpy_from_far(void *offset32, DWORD far16, WORD bytes);
//
	.align	2, 0x90
	.globl __memcpy_from_far
__memcpy_from_far:
	pushl	%esi		       / 1*4
	pushl	%edi		       / 2*4
	pushl	%ds		       / 3*4
	movl	4*4(%esp), %edi        / dst:offset32
	movzwl	5*4(%esp), %esi        / src:far16 offset
	movw	5*4+2(%esp), %ax       / src:far16 segm
	movw	%ax, %ds
	movl	6*4(%esp), %ecx        / n
	shrl	$2, %ecx	       / div 4
	rep			       / ds:esi -> es:edi
	movsl			       / 16:16	-> 16:32
	movl	6*4(%esp), %ecx        / n
	andl	$3, %ecx	       / mod 4
        rep
        movsb
	movl	4*4(%esp), %eax        / offset32
	popl	%ds
        popl    %edi
        popl    %esi
        ret

//
//	Move data from user program offset to 16:16 pointer
//	void _memcpy_to_far(DWORD far16, void *offset32, WORD bytes);
//
	.align	2, 0x90
	.globl __memcpy_to_far
__memcpy_to_far:
	pushl	%esi		       / 1*4
	pushl	%edi		       / 2*4
	pushl	%es		       / 3*4
	movzwl	4*4(%esp), %edi        / dst:far16 offset
	movw	4*4+2(%esp), %ax       / dst:far16 segm
	movl	5*4(%esp), %esi        / src:offset32
	movw	%ax, %es
	movl	6*4(%esp), %ecx        / n
	shrl	$2, %ecx	       / div 4
	rep			       / ds:esi -> es:edi
	movsl			       / 16:32	-> 16:16
	movl	6*4(%esp), %ecx        / n
	andl	$3, %ecx	       / mod 4
        rep
        movsb
	movl	5*4(%esp), %eax        / offset32
	popl	%es
        popl    %edi
        popl    %esi
        ret


//
//	Move string from 16:16 to user program offset
//	void strcpy_fardest(offset32,far16);
//
	.align	2, 0x90
	.globl __strcpy_from_far
__strcpy_from_far:
	pushl	%esi		       / 1*4
	pushl	%edi		       / 2*4
	pushl	%ds		       / 3*4
	movl	4*4(%esp), %edi        / offset32
	movzwl	5*4(%esp), %esi        / far16 offset
	movw	5*4+2(%esp), %ax       / far16 segm
	movw	%ax, %ds
        .align  2, 0x90
1:      lodsb
        stosb
        orb     %al, %al
        jnz     1b
	movl	4*4(%esp), %eax        / offset32
	popl	%ds
        popl    %edi
        popl    %esi
        ret

