#
# Makefile for building 32bit Windows program
#

CC = gcc
CFLAGS = # -O2
RC = C:\C600\BIN\RC.EXE
WINLIB = /rsxwin/lib/libwin.a

# rsxwin extender for 32bit windows prgs (without recources!)
RSXW32 = C:\RSXWIN\RSXW32.EXE

# program name
PRG = gnugo

OBJS = gnugo.o nonwin.o saveopen.o

#
# We create two files :
#   PRG.exe - rsxw32.exe file with resources
#   PRG.w32 - the EMX/GCC output
#
all : $(PRG).exe $(PRG).w32
	@echo Make Ready!

$(PRG).exe: $(PRG).res $(RSXW32)
	copy /B $(RSXW32) $(PRG).exe
	$(RC) -t $(PRG).res $(PRG).exe

$(PRG).res: $(PRG).rc
	$(RC) -r $(PRG).rc

WINLIBS = /rsxwin/lib/syscall.o /rsxwin/lib/syscalls.o /rsxwin/lib/selector.o

$(PRG).w32: $(OBJS) $(WINLIB)
	$(CC) -o $(PRG).w32 $(OBJS) $(WINLIB)
